<?php
declare(strict_types=1);

namespace App\Test\TestCase\Model\Table;

use App\Model\Table\ProductPurchaseTable;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\ProductPurchaseTable Test Case
 */
class ProductPurchaseTableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var \App\Model\Table\ProductPurchaseTable
     */
    protected $ProductPurchase;

    /**
     * Fixtures
     *
     * @var list<string>
     */
    protected array $fixtures = [
        'app.ProductPurchase',
        'app.Product',
        'app.Purchases',
    ];

    /**
     * setUp method
     *
     * @return void
     */
    protected function setUp(): void
    {
        parent::setUp();
        $config = $this->getTableLocator()->exists('ProductPurchase') ? [] : ['className' => ProductPurchaseTable::class];
        $this->ProductPurchase = $this->getTableLocator()->get('ProductPurchase', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    protected function tearDown(): void
    {
        unset($this->ProductPurchase);

        parent::tearDown();
    }

    /**
     * Test validationDefault method
     *
     * @return void
     * @uses \App\Model\Table\ProductPurchaseTable::validationDefault()
     */
    public function testValidationDefault(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test buildRules method
     *
     * @return void
     * @uses \App\Model\Table\ProductPurchaseTable::buildRules()
     */
    public function testBuildRules(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
